<?php
/**
 * Excel Blog functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Excel_Blog
 */

//define theme version
if ( ! defined( 'EXCEL_BLOG_THEME_VERSION' ) ) {
	$theme_data = wp_get_theme();
	
	define ( 'EXCEL_BLOG_THEME_VERSION', $theme_data->get( 'Version' ) );
}

/**
 * Custom functions for this theme.
 */
require get_template_directory() . '/inc/custom-functions.php';

/**
 * Custom template hooks.
 */
require get_template_directory() . '/inc/template-hooks.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

/**
 * Widgets
 */
require get_template_directory() . '/inc/widgets/widgets.php';